#
# spec file for package ctags (Version 2001.4.22)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ctags
Copyright:    1999 Darren Hiebert
Group:        Development/Tools
Provides:     ctags 
Autoreqprov:  on
%define exuberant_ver	3.3.1
%define emacs_ver	13.33
Version:      2001.4.22
Release:      75
Summary:      Generate tag files for use with vi and other editors
Source0: ctags-%{exuberant_ver}.tar.gz
Source1: etags-%{emacs_ver}.tar.gz
Source2: README.SuSE
Patch0:  ctags-%{exuberant_ver}.dif
Patch1:  etags-%{emacs_ver}.dif
BuildRoot: /tmp/buildroot-%{name}

%description
ctags (from Darren Hiebert) generates tag files from source code in C,
C++, Eiffel, Fortran and Java to be used with vi, its derivatives, emacs
and several other editors.
etags (from Emacs sources) generates tag files from source code in Pascal,
Cobol, Ada, Perl, LaTeX, Scheme, Emacs Lisp/Common Lisp, Postscript,
Erlang, Python, Prolog and most assembler-like syntaxes.

Authors:
--------
    Darren Hiebert <darren@hiebert.com>
    Ken Arnold
    Francesco Potort <pot@gnu.org>

SuSE series: ap

%prep
%setup -n ctags-%{exuberant_ver} -b 1
%patch
cd ../etags-%{emacs_ver}
%patch1

%build
CC=gcc
CFLAGS="$RPM_OPT_FLAGS -Wall -g"
export CFLAGS CC
 ./configure ${RPM_ARCH}-suse-linux	\
	--prefix=/usr			\
	--mandir='%{_mandir}'		\
	--disable-etags
make
cd ../etags-%{emacs_ver}
CFLAGS="$CFLAGS -I../ctags-%{exuberant_ver}/"
CFLAGS="$CFLAGS -DHAVE_CONFIG_H -DHAVE_UNISTD_H -DHAVE_GETCWD"
$CC $CFLAGS -o etags etags.c
$CC $CFLAGS -DCTAGS -o gnuctags etags.c

%install
make install prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT%{_mandir}
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/ctags/Exuberant_Ctags
install -m 644 README  $RPM_BUILD_ROOT%{_defaultdocdir}/ctags/Exuberant_Ctags/
install -m 644 FAQ     $RPM_BUILD_ROOT%{_defaultdocdir}/ctags/Exuberant_Ctags/
install -m 644 QUOTES  $RPM_BUILD_ROOT%{_defaultdocdir}/ctags/Exuberant_Ctags/
install -m 644 COPYING $RPM_BUILD_ROOT%{_defaultdocdir}/ctags/Exuberant_Ctags/
install -m 644 ${RPM_SOURCE_DIR}/README.SuSE $RPM_BUILD_ROOT%{_defaultdocdir}/ctags/
cd ../etags-%{emacs_ver}
install -m 0755 -s etags gnuctags $RPM_BUILD_ROOT/usr/bin/
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/etags.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/etags.1.gz
install -m 644 etags.1 $RPM_BUILD_ROOT%{_mandir}/man1/
ln -sf etags.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/gnuctags.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/ctags
/usr/bin/gnuctags
/usr/bin/etags
%doc %{_mandir}/man1/ctags.1.gz
%doc %{_mandir}/man1/gnuctags.1.gz
%doc %{_mandir}/man1/etags.1.gz
%doc %{_defaultdocdir}/ctags/Exuberant_Ctags/README
%doc %{_defaultdocdir}/ctags/Exuberant_Ctags/FAQ
%doc %{_defaultdocdir}/ctags/Exuberant_Ctags/QUOTES
%doc %{_defaultdocdir}/ctags/Exuberant_Ctags/COPYING
%doc %{_defaultdocdir}/ctags/README.SuSE

%changelog -n ctags
* Thu May 18 2000 - schwab@suse.de
- Use BuildRoot.
- Remove etags.c changes again.
* Wed May 17 2000 - kasal@suse.cz
- strip etags/gnuctags
- Fixed etags.c changes
* Mon May 15 2000 - schwab@suse.de
- Discard etags.c changes (#2772).
* Mon Jan 31 2000 - werner@suse.de
- Really rename gctags to gnuctags
* Mon Jan 31 2000 - kasal@suse.cz
- fixed spec file to really use the *dif files
- gctags renamed to gnuctags
- rewrote the NOTEs in the manpages and added
  "see also (gnu)ctags(1), gctags(1) and global(1)"
- etags.c now uses #ifdef's
* Wed Jan 26 2000 - werner@suse.de
- New ctags version 3.3.1
  * Disable etags (is usable with `ctags -e')
- Add etags/ctags from Emacs sources
  * rename this ctags with gctags
- Make some NOTEs within the manual pages of both packages
- Add a README.SuSE to explain why we have two versions
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - schwab@suse.de
- specfile cleanup
* Tue Jun 15 1999 - uli@suse.de
- update -> 3.2.2
* Sun Apr 13 1997 - florian@suse.de
- new package with ctags 1.5 (used to be together with vim.tgz)
